package system

import (
	"github.com/gin-gonic/gin"
)

type UserRouter struct {
}

func (s *UserRouter) InitUserRouter(Router *gin.RouterGroup) {
	userRouter := Router.Group("user")
	{
		userRouter.GET("info", userApi.CurrentUser)
		userRouter.POST("save", userApi.SaveUser)
		userRouter.POST("update", userApi.UpdateUser)
		userRouter.POST("getUserList", userApi.GetUserList)
		userRouter.POST("delete", userApi.Delete)
		userRouter.GET("detail", userApi.Detail)
		userRouter.POST("changePassword", userApi.ChangePassword)
		userRouter.POST("grantRole", userApi.GrantRole)
	}
}
